Issuing the command:

  npm2deb depends -b -r npm > list

on sid returns the attached list of node-* dependencies.

Filtering the list with:

  cat list | grep None | sed 's/│//g' | sed 's/├//g' | sed 's/─//g' |
sed 's/└//g' | sed 's/^ *//g' | awk '{print $1}' | sort | uniq | wc

gives the estimate that more than 50 new npm modules must be packaged
before npm can be updated to 3.10.9.

For comparison, bringing the npm "competitor" yarn into Debian (see RFP
https://bugs.debian.org/843021) would require 19 modules. But some of
the latter are really tough !
npm2deb depends -b -r npm

Dependencies:
NPM                                               Debian
npm (3.10.9)                                      None
├─ abbrev (~1.0.9)                                node-abbrev (1.0.9-1)
├─ ansi-regex (*)                                 node-ansi-regex (2.0.0-1)
├─ ansicolors (~0.3.2)                            None
├─ ansistyles (~0.1.3)                            None
├─ aproba (~1.0.4)                                None
├─ archy (~1.0.0)                                 node-archy (0.0.2-1)
├─ asap (~2.0.5)                                  None
├─ chownr (~1.0.1)                                None
├─ cmd-shim (~2.0.2)                              None
│  ├─ graceful-fs (^4.1.2)                        node-graceful-fs (4.1.10-1)
│  └─ mkdirp (~0.5.0)                             node-mkdirp (0.5.0-1)
├─ columnify (~1.5.4)                             None
│  ├─ strip-ansi (^3.0.0)                         node-strip-ansi (3.0.1-1)
│  └─ wcwidth (^1.0.0)                            None
│     └─ defaults (^1.0.3)                        node-defaults (1.0.3-1)
├─ config-chain (~1.1.11)                         None
│  ├─ ini (^1.3.4)                                node-ini (1.1.0-1)
│  └─ proto-list (~1.2.1)                         None
├─ debuglog (*)                                   None
├─ dezalgo (~1.0.3)                               None
│  ├─ asap (^2.0.0)                               None
│  └─ wrappy (1)                                  node-wrappy (1.0.2-1)
├─ editor (~1.0.0)                                None
├─ fs-vacuum (~1.2.9)                             None
│  ├─ graceful-fs (^4.1.2)                        node-graceful-fs (4.1.10-1)
│  ├─ path-is-inside (^1.0.1)                     None
│  └─ rimraf (^2.5.2)                             node-rimraf (2.2.8-1)
├─ fs-write-stream-atomic (~1.0.8)                None
│  ├─ graceful-fs (^4.1.2)                        node-graceful-fs (4.1.10-1)
│  ├─ iferr (^0.1.5)                              None
│  ├─ imurmurhash (^0.1.4)                        None
│  └─ readable-stream (1 || 2)                    None
│     ├─ buffer-shims (^1.0.0)                    None
│     ├─ core-util-is (~1.0.0)                    node-core-util-is (1.0.2-1)
│     ├─ inherits (~2.0.1)                        node-inherits (2.0.1-3)
│     ├─ isarray (~1.0.0)                         node-isarray (1.0.0-1)
│     ├─ process-nextick-args (~1.0.6)            node-process-nextick-args 
(1.0.8-1)
│     ├─ string_decoder (~0.10.x)                 node-string-decoder 
(0.10.25-1)
│     └─ util-deprecate (~1.0.1)                  node-util-deprecate (1.0.2-1)
├─ fstream (~1.0.10)                              node-fstream (0.1.24-1)
├─ fstream-npm (~1.2.0)                           None
│  ├─ fstream-ignore (^1.0.0)                     node-fstream-ignore (0.0.6-2)
│  └─ inherits (2)                                node-inherits (2.0.1-3)
├─ glob (~7.1.0)                                  node-glob (7.1.1-1)
├─ graceful-fs (~4.1.9)                           node-graceful-fs (4.1.10-1)
├─ has-unicode (~2.0.1)                           None
├─ hosted-git-info (~2.1.5)                       node-hosted-git-info (2.1.5-1)
├─ iferr (~0.1.5)                                 None
├─ imurmurhash (*)                                None
├─ inflight (~1.0.5)                              node-inflight (1.0.6-1)
├─ inherits (~2.0.3)                              node-inherits (2.0.1-3)
├─ ini (~1.3.4)                                   node-ini (1.1.0-1)
├─ init-package-json (~1.9.4)                     None
│  ├─ glob (^6.0.0)                               node-glob (7.1.1-1)
│  ├─ npm-package-arg (^4.0.0)                    None
│  │  ├─ hosted-git-info (^2.1.5)                 node-hosted-git-info (2.1.5-1)
│  │  └─ semver (^5.1.0)                          node-semver (5.3.0-1)
│  ├─ promzard (^0.3.0)                           None
│  │  └─ read (1)                                 node-read (1.0.5-1)
│  ├─ read (~1.0.1)                               node-read (1.0.5-1)
│  ├─ read-package-json (1 || 2)                  node-read-package-json 
(1.2.4-1)
│  ├─ semver (2.x || 3.x || 4 || 5)               node-semver (5.3.0-1)
│  ├─ validate-npm-package-license (^3.0.1)       
node-validate-npm-package-license (3.0.1-1)
│  └─ validate-npm-package-name (^2.0.1)          None
│     └─ builtins (0.0.7)                         None
├─ lockfile (~1.0.2)                              node-lockfile (0.4.1-1)
├─ lodash._baseindexof (*)                        None
├─ lodash._baseuniq (~4.6.0)                      None
│  ├─ lodash._createset (~4.0.0)                  None
│  └─ lodash._root (~3.0.0)                       None
├─ lodash._bindcallback (*)                       None
├─ lodash._cacheindexof (*)                       None
├─ lodash._createcache (*)                        None
│  └─ lodash._getnative (^3.0.0)                  None
├─ lodash._getnative (*)                          None
├─ lodash.clonedeep (~4.5.0)                      None
├─ lodash.restparam (*)                           None
├─ lodash.union (~4.6.0)                          None
├─ lodash.uniq (~4.5.0)                           None
├─ lodash.without (~4.4.0)                        None
├─ mkdirp (~0.5.1)                                node-mkdirp (0.5.0-1)
├─ node-gyp (~3.4.0)                              node-gyp (3.4.0-1)
├─ nopt (~3.0.6)                                  node-nopt (3.0.6-2)
├─ normalize-git-url (~3.0.2)                     node-normalize-git-url 
(3.0.1-1)
├─ normalize-package-data (~2.3.5)                node-normalize-package-data 
(2.3.5-1)
├─ npm-cache-filename (~1.0.2)                    None
├─ npm-install-checks (~3.0.0)                    None
│  └─ semver (^2.3.0 || 3.x || 4 || 5)            node-semver (5.3.0-1)
├─ npm-package-arg (~4.2.0)                       None
├─ npm-registry-client (~7.2.1)                   None
│  ├─ concat-stream (^1.5.2)                      node-concat-stream (1.5.1-1)
│  ├─ graceful-fs (^4.1.6)                        node-graceful-fs (4.1.10-1)
│  ├─ normalize-package-data (~1.0.1 || ^2.0.0)   node-normalize-package-data 
(2.3.5-1)
│  ├─ npm-package-arg (^3.0.0 || ^4.0.0)          None
│  ├─ npmlog (~2.0.0 || ~3.1.0)                   node-npmlog (0.0.4-1)
│  ├─ once (^1.3.3)                               node-once (1.4.0-2)
│  ├─ request (^2.74.0)                           node-request (2.26.1-1)
│  ├─ retry (^0.10.0)                             node-retry (0.6.0-1)
│  ├─ semver (2 >=2.2.1 || 3.x || 4 || 5)         node-semver (5.3.0-1)
│  └─ slide (^1.1.3)                              node-slide (1.1.4-1)
├─ npm-user-validate (~0.1.5)                     None
├─ npmlog (~4.0.0)                                node-npmlog (0.0.4-1)
├─ once (~1.4.0)                                  node-once (1.4.0-2)
├─ opener (~1.4.2)                                None
├─ osenv (~0.1.3)                                 node-osenv (0.1.0-1)
├─ path-is-inside (~1.0.2)                        None
├─ read (~1.0.7)                                  node-read (1.0.5-1)
├─ read-cmd-shim (~1.0.1)                         None
│  └─ graceful-fs (^4.1.2)                        node-graceful-fs (4.1.10-1)
├─ read-installed (~4.0.3)                        None
│  ├─ debuglog (^1.0.1)                           None
│  ├─ graceful-fs (^4.1.2)                        node-graceful-fs (4.1.10-1)
│  ├─ read-package-json (^2.0.0)                  node-read-package-json 
(1.2.4-1)
│  ├─ readdir-scoped-modules (^1.0.0)             None
│  │  ├─ debuglog (^1.0.1)                        None
│  │  ├─ dezalgo (^1.0.0)                         None
│  │  ├─ graceful-fs (^4.1.2)                     node-graceful-fs (4.1.10-1)
│  │  └─ once (^1.3.0)                            node-once (1.4.0-2)
│  ├─ semver (2 || 3 || 4 || 5)                   node-semver (5.3.0-1)
│  ├─ slide (~1.1.3)                              node-slide (1.1.4-1)
│  └─ util-extend (^1.0.1)                        None
├─ read-package-json (~2.0.4)                     node-read-package-json 
(1.2.4-1)
├─ read-package-tree (~5.1.5)                     None
│  ├─ debuglog (^1.0.1)                           None
│  ├─ dezalgo (^1.0.0)                            None
│  ├─ once (^1.3.0)                               node-once (1.4.0-2)
│  ├─ read-package-json (^2.0.0)                  node-read-package-json 
(1.2.4-1)
│  └─ readdir-scoped-modules (^1.0.0)             None
├─ readable-stream (~2.1.5)                       None
├─ readdir-scoped-modules (*)                     None
├─ realize-package-specifier (~3.0.3)             None
│  ├─ dezalgo (^1.0.1)                            None
│  └─ npm-package-arg (^4.1.1)                    None
├─ request (~2.75.0)                              node-request (2.26.1-1)
├─ retry (~0.10.0)                                node-retry (0.6.0-1)
├─ rimraf (~2.5.4)                                node-rimraf (2.2.8-1)
├─ semver (~5.3.0)                                node-semver (5.3.0-1)
├─ sha (~2.0.1)                                   node-sha (1.2.3-1)
├─ slide (~1.1.6)                                 node-slide (1.1.4-1)
├─ sorted-object (~2.0.1)                         None
├─ strip-ansi (~3.0.1)                            node-strip-ansi (3.0.1-1)
├─ tar (~2.2.1)                                   node-tar (1.0.3-2)
├─ text-table (~0.2.0)                            None
├─ uid-number (0.0.6)                             node-uid-number (0.0.6-1)
├─ umask (~1.1.0)                                 None
├─ unique-filename (~1.1.0)                       None
│  └─ unique-slug (^2.0.0)                        None
│     └─ imurmurhash (^0.1.4)                     None
├─ unpipe (~1.0.0)                                node-unpipe (1.0.0-1)
├─ validate-npm-package-license (*)               
node-validate-npm-package-license (3.0.1-1)
├─ validate-npm-package-name (~2.2.2)             None
├─ which (~1.2.11)                                node-which (1.2.11-1)
├─ wrappy (~1.0.2)                                node-wrappy (1.0.2-1)
└─ write-file-atomic (~1.2.0)                     None
   ├─ graceful-fs (^4.1.2)                        node-graceful-fs (4.1.10-1)
   ├─ imurmurhash (^0.1.4)                        None
   └─ slide (^1.1.5)                              node-slide (1.1.4-1)

Warnings occured:
 [error]   readable-stream: Only nodejs >= 0.10.x is in debian, see 
node-multiparty for a patch
 [error]   asap: is included in node-promise as a patch, contact the maintainer 
for more info

Attachment: signature.asc
Description: OpenPGP digital signature

-- 
Pkg-javascript-devel mailing list
Pkg-javascript-devel@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-javascript-devel

Reply via email to